Bug 1653097

Summary: libftdi-devel requires obsolete version of libconfuse
Product: [Fedora] Fedora Reporter: Philippe Troin <phil>
Component: libftdiAssignee: Lucian Langa <lucilanga>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: hobbes1069, LotharLutz, lucilanga
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 17:29:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Philippe Troin 2018-11-25 17:40:53 UTC
Description of problem:
Installing libftdi-devel wants to downgrade libconfuse.

Version-Release number of selected component (if applicable):
libftdi-1.3-7.fc27
libconfuse-3.2.2-1.fc27

How reproducible:
Always.

Steps to Reproduce:
1. dnf install libftdi-devel

Actual results:
Last metadata expiration check: 0:07:43 ago on Sun Nov 25 09:27:47 2018.
Dependencies resolved.
================================================================================
 Package                 Arch          Version              Repository     Size
================================================================================
Installing:
 libftdi-devel           x86_64        1.3-7.fc27           fedora        302 k
Downgrading:
 libconfuse              i686          3.2-3.fc27           fedora        183 k
 libconfuse              x86_64        3.2-3.fc27           fedora        183 k
 libconfuse-devel        x86_64        3.2-3.fc27           fedora         23 k

Transaction Summary
================================================================================
Install    1 Package
Downgrade  3 Packages

Expected results:
libconfuse shouldn't have to be downgraded to 3.2-3.fc27.

Additional info:
Current libconfuse is libconfuse-3.2.2-1.fc27.

Comment 1 Ben Cotton 2018-11-27 13:29:17 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Richard Shaw 2018-11-28 14:09:52 UTC
As f27 is EOL, can you reproduce this on f28/29? It seems weird that a devel package would cause a downgrade.

Comment 3 Philippe Troin 2018-11-28 17:36:11 UTC
(In reply to Richard Shaw from comment #2)
> As f27 is EOL, can you reproduce this on f28/29? It seems weird that a devel
> package would cause a downgrade.

The problem doesn't occur in F28 nor F29.
I'd understand if you'd let it slide as F27 only has a couple of days of shelf life left.

Comment 4 Ben Cotton 2018-11-30 17:29:44 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.